'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _arrify = require('arrify');

var _arrify2 = _interopRequireDefault(_arrify);

var _detectors = require('./detectors');

var _detectors2 = _interopRequireDefault(_detectors);

exports['default'] = function (commits) {
  commits = (0, _arrify2['default'])(commits);

  var tally = {};

  commits.forEach(function (commit) {
    var header = commit.split('\n')[0];

    for (var convention in _detectors2['default']) {
      if (_detectors2['default'][convention](header)) {
        var count = tally[convention];
        count = count ? ++count : 1;
        tally[convention] = count;
      }
    }
  });

  var max = 0;
  var ret = 'unknown';

  for (var prop in tally) {
    var val = tally[prop];
    if (val > max) {
      max = val;
      ret = prop;
    } else if (val === max) {
      // cheat
      if (prop === 'ember' || prop === 'jquery') {
        ret = 'jquery';
      }
    }
  }

  return ret;
};

module.exports = exports['default'];